summaryrefslogtreecommitdiffstats
path: root/icedtea-web
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2022-08-11 19:00:22 +0000
committer Eric Hameleers <alien@slackware.com>2022-08-11 19:00:22 +0000
commitd2e757c791eff9d04cd4deb4360af78091a76240 (patch)
tree7cfa4cf356b0e630544317d18a955a0d77240975 /icedtea-web
parentaedbc22f86bb38e5ccefb65d0be9c9b2e0187d8b (diff)
downloadasb-d2e757c791eff9d04cd4deb4360af78091a76240.tar.gz
asb-d2e757c791eff9d04cd4deb4360af78091a76240.tar.xz
icedtea-web: update to 1.8.8. Disable the NPAPI plugin, there's no browser left that supports it.
Diffstat (limited to 'icedtea-web')
-rwxr-xr-xicedtea-web/build/icedtea-web.SlackBuild29
1 files changed, 7 insertions, 22 deletions
diff --git a/icedtea-web/build/icedtea-web.SlackBuild b/icedtea-web/build/icedtea-web.SlackBuild
index 03ef1d78..b3da88b9 100755
--- a/icedtea-web/build/icedtea-web.SlackBuild
+++ b/icedtea-web/build/icedtea-web.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2019 Eric Hameleers, Eindhoven, The Netherlands
+# Copyright 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2019, 2022 Eric Hameleers, Eindhoven, The Netherlands
# All rights reserved.
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=icedtea-web
SRCNAM=IcedTea-Web-${PKGNAM}
-VERSION=${VERSION:-1.8.3}
+VERSION=${VERSION:-1.8.8}
BUILD=${BUILD:-1}
TAG=${TAG:-"alien"}
@@ -80,16 +80,6 @@ find . \
[ ! -x configure ] && ./autogen.sh
-if pkg-config --exists seamonkey-plugin 1>/dev/null ; then
- # We use seamonkey, not xulrunner:
- sed -i -e 's/mozilla-plugin/seamonkey-plugin/g' configure
- PLUGIN_OPTS=""
-else
- PLUGIN_OPTS="--disable-native-plugin"
-fi
-
-# IcedTea Web 1.1 and later do not install into the JDK/JRE directory but
-# straight into /usr/lib
CFLAGS="$SLKCFLAGS" \
LDFLAGS="$SLKLDFLAGS" \
./configure \
@@ -99,31 +89,26 @@ LDFLAGS="$SLKLDFLAGS" \
--infodir=/usr/info \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--sysconfdir=/etc/ \
+ --with-firefox=/usr/bin/firefox \
--with-itw-libs=BUNDLED \
--with-jdk-home=/usr/lib${LIBDIRSUFFIX}/java \
--with-jre-home=/usr/lib${LIBDIRSUFFIX}/java/jre \
--with-pkgversion=$(cat /etc/slackware-version |tr ' ' '-')-$ARCH \
--without-browser-tests \
--disable-docs \
- ${PLUGIN_OPTS} \
+ --disable-native-plugin \
--build=$TARGET
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-if pkg-config --exists seamonkey-plugin 1>/dev/null ; then
- # Provide a link to the plugin for browsers:
- mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
- ( cd $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
- ln -sf /usr/lib${LIBDIRSUFFIX}/IcedTeaPlugin.so
- )
-fi
+# Remove empty libdir:
+rmdir $PKG/usr/lib${LIBDIRSUFFIX} 2>/dev/null || true
# Install desktop files:
mkdir -p $PKG/usr/share/{applications,pixmaps}
cp javaws.png $PKG/usr/share/pixmaps/
-install -m 0644 javaws.desktop $PKG/usr/share/applications/
-install -m 0644 itweb-settings.desktop $PKG/usr/share/applications/
+install -m0644 *.desktop $PKG/usr/share/applications/
# Strip binaries where needed:
find $PKG | xargs file | grep -e "executable" -e "shared object" \